/**
 * Global
 */
.timeline, 
.timeline .tl-header,
.timeline .tl-period-content,
.timeline .tl-period-selector,
.tl-selected-period-description {
    display:block;
    position:relative;
    left:0px;
    top:0px;
    float:left;
    width:100%;
    height:auto;
}
.timeline {
    border: 1px solid #e6e6e6;
    border-radius:2px;
}

/**
 * Header
 */
.timeline .tl-header {
    padding-left:5px;
    padding-top:5px;
    padding-bottom:5px;
    background-color:#f0f0f0;
}
.timeline .tl-header .title {
    text-align: center;
    font-size: 1.2em;
    font-weight: 600;
    color: #333333;
    font-family: 'helvetica' !important;
}

/**
 * Main container which presents the content of the selected period
 */
.timeline .tl-period-content {
    padding: 5px;
    background-color: #f2fffa;
    border-left: 1px solid #b1e2f6;
    border-right: 1px solid #b1e2f6;
    border-bottom: 1px solid #b1e2f6;
}
.timeline .tl-period-content .tl-pcc {
    display:block;
    position:relative;
    left:0px;
    top:0px;
    width:100%;
    height:auto;
    min-height:50px;
    padding:20px;
}
.timeline .tl-period-content .tl-pcc.hidden {
    display:none;
}
.timeline .tl-period-content .tl-pcc ul {
    padding-left: 20px;
}

/**
 * Period selector
 */
.timeline .tl-period-selector {
    overflow-x:auto;
}
.timeline .tl-period-selector div {
    display:table;
    width:auto;
    min-width:100%;
    height:auto;
}
.timeline .tl-period-selector div div {
    display:table-cell;
    vertical-align: middle;
    width:auto;
    height:auto;
}

/**
 * Period selector items container
 */
.timeline .tl-period-selector .selector-objs-container {
    display: block;
    position: relative;
    left: 0px;
    top: -10px;
    width: auto;
    height: auto;
    overflow-y: hidden;
    overflow-x: scroll;
    white-space: nowrap;
    text-align: center;
}
.timeline .tl-period-selector .selector-objs-container .period-selector-obj,
.timeline .tl-period-selector .selector-objs-container .period-selector-obj.selected {
    display: inline-block;
    min-width: 7%;
    height:calc(var(--vw, 1vw) * 19);
    min-height:215px;
    padding-top:30px;
}
.timeline .tl-period-selector .selector-objs-container .period-selector-obj {
    animation-name: deselect-period-obj;
    animation-duration: 500ms;
    animation-iteration-count: 1;
    animation-timing-function: linear;
    animation-fill-mode: forwards;

    -webkit-animation-name: deselect-period-obj;
    -webkit-animation-duration: 500ms;
    -webkit-animation-iteration-count: 1;
    -webkit-animation-timing-function: linear;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: deselect-period-obj;
    -moz-animation-duration: 500ms;
    -moz-animation-iteration-count: 1;
    -moz-animation-timing-function: linear;
    -moz-animation-fill-mode: forwards;
  
    -ms-animation-name: deselect-period-obj;
    -ms-animation-duration: 500ms;
    -ms-animation-iteration-count: 1;
    -ms-animation-timing-function: linear;
    -ms-animation-fill-mode: forwards;
}
.timeline .tl-period-selector .selector-objs-container .period-selector-obj.selected {
    animation-name: select-period-obj;
    animation-duration: 350ms;
    animation-iteration-count: 1;
    animation-timing-function: linear;
    animation-fill-mode: forwards;

    -webkit-animation-name: select-period-obj;
    -webkit-animation-duration: 250ms;
    -webkit-animation-iteration-count: 1;
    -webkit-animation-timing-function: linear;
    -webkit-animation-fill-mode: forwards;
  
    -moz-animation-name: select-period-obj;
    -moz-animation-duration: 250ms;
    -moz-animation-iteration-count: 1;
    -moz-animation-timing-function: linear;
    -moz-animation-fill-mode: forwards;
  
    -ms-animation-name: select-period-obj;
    -ms-animation-duration: 250ms;
    -ms-animation-iteration-count: 1;
    -ms-animation-timing-function: linear;
    -ms-animation-fill-mode: forwards;
}
.timeline .tl-period-selector .selector-objs-container .period-selector-obj div,
.timeline .tl-period-selector .selector-objs-container .period-selector-obj div .tl-period-selector-outter-container {
    width:100%;
}
.timeline .tl-period-selector .selector-objs-container .period-selector-obj .tl-period-selector-img {
    display:block;
    position:relative;
    left:0px;
    top:0px;
    width:100%;
    height:auto;
}
.timeline .tl-period-selector .selector-objs-container .period-selector-obj .tl-period-selector-description,
.timeline .tl-period-selector .selector-objs-container .period-selector-obj.selected .tl-period-selector-description {
    display:block;
    position:relative;
    left:0px;
    top:0px;
    width:100%;
    height:auto;
    text-align:center;
    padding-bottom:30px;
}
.timeline .tl-period-selector .selector-objs-container .period-selector-obj .tl-period-selector-description {
    font-weight: 500;
    font-size: 1em;
    color:#777777;
}
.timeline .tl-period-selector .selector-objs-container .period-selector-obj.selected .tl-period-selector-description {
    font-weight: 600;
    font-size: 1.5em;
    color: #111111;
    text-decoration: underline;
}
.timeline .tl-period-selector .selector-objs-container .period-selector-obj .tl-period-selector-description
.timeline .tl-period-selector .selector-objs-container .period-selector-obj .tl-period-selector-description .ruller {
    display:block;
    position:relative;
    left:0px;
    top:0px;
    width:100%;
    height:25px;
    border-top: none;
}
.timeline .tl-period-selector .selector-objs-container .period-selector-obj .tl-period-selector-description .txt-left,
.timeline .tl-period-selector .selector-objs-container .period-selector-obj .tl-period-selector-description .txt-right {
    padding-top:5px;
    padding-bottom:5px;
}
.timeline .tl-period-selector .selector-objs-container .period-selector-obj .tl-period-selector-description .txt-left {
    float:left;
    text-align:left;
    padding-left:5px;
}
.timeline .tl-period-selector .selector-objs-container .period-selector-obj .tl-period-selector-description .txt-right {
    float:right;
    text-align:right;
    padding-right:5px;
}

.timeline .tl-period-selector .selector-objs-container .period-selector-obj .selector {
    display: block;
    position: relative;
    left: 0;
    top: -300px;
    width: 100%;
    height: 600px;
}

@media(max-width:767px) {
    .timeline .tl-period-selector .selector-objs-container .period-selector-obj,
    .timeline .tl-period-selector .selector-objs-container .period-selector-obj.selected {
        min-width: 70px;
    }
}

/**
 * Select period object
 */
@-moz-keyframes select-period-obj {
    from { 
        width: 6%;
        opacity:0.8;
    }
    to { 
        width: 16%;
        opacity:1;
    }
}
@-webkit-keyframes select-period-obj {
    from { 
        width: 6%;
        opacity:0.8;
    }
    to { 
        width: 16%;
        opacity:1;
    }
}
@keyframes select-period-obj {
    from { 
        width: 6%;
        opacity:0.8;
    }
    to { 
        width: 16%;
        opacity:1;
    }
}

/**
 * Deselect period object
 */
 @-moz-keyframes deselect-period-obj {
    from { 
        width: 16%;
        opacity: 1;
    }
    to { 
        width: 6%;
        opacity: 0.8;
    }
}
@-webkit-keyframes deselect-period-obj {
    from { 
        width: 16%;
        opacity: 1;
    }
    to { 
        width: 6%;
        opacity: 0.8;
    }
}
@keyframes deselect-period-obj {
    from { 
        width: 16%;
        opacity: 1;
    }
    to { 
        width: 6%;
        opacity: 0.8;
    }
}

@media(max-width:767px) {

    .timeline .tl-period-selector .selector-objs-container .period-selector-obj,
    .timeline .tl-period-selector .selector-objs-container .period-selector-obj.selected {
        display: inline-block;
        min-width: 45px;
        padding-top:30px;
    }

    .timeline .tl-period-selector .selector-objs-container {
        top:-5px;
        padding-right: 60px;
    }

}

/**
 * Description of the selected item
 */
.tl-selected-period-description {
    top: -10px;
    margin-bottom: -10px;
    padding-top: 30px;
    padding-left: 5px;
    padding-right: 5px;
    padding-bottom: 0px;
    text-align: center;
    background-color: #f2fffa;
    border-top: 1px solid #b1e2f6;
}
.tl-selected-period-description .title {
    font-size: 1.4em;
    font-family: 'helvetica' !important;
    font-weight: 600;
    color: #333333;
}
.tl-selected-period-description .description {
    font-size: 0.8em;
    font-weight: 500;
    color: #777777;
}

@media(max-width:767px) {

    .tl-selected-period-description {
        top: -18px;
        margin-bottom: -18px;
    }

}